Bug 27495 - The "Accessibility advocate" role is not yet listed in the about page.
Summary: The "Accessibility advocate" role is not yet listed in the about page.
Status: Pushed to oldoldoldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: About (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Eden
QA Contact: Kyle M Hall
URL:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2021-01-20 10:08 UTC by Martin Renvoize
Modified: 2021-07-01 02:35 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:
21.05.00,20.11.07,20.05.14,19.11.20


Attachments
Bug 27495: Added Accessibility advocate role in team page (1.89 KB, patch)
2021-01-20 22:40 UTC, Eden
Details | Diff | Splinter Review
Bug 27495: Added Accessibility advocate role in team page (1.96 KB, patch)
2021-01-21 10:08 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 27495: Added Accessibility advocate role in team page (2.03 KB, patch)
2021-01-21 16:14 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2021-01-20 10:08:52 UTC
I think it's important to show our commitment to accessibility in Koha and part of that is the newly minted 'Accessibility advocate' role in the release team.

We should promote this role by listing it alongside the other roles on the about team page.
Comment 1 Martin Renvoize 2021-01-20 10:11:51 UTC
This should be reasonably straight forward to achieve.. we need to add the current position to the `/docs/teams.yaml` file and also add handling for it in the about page include file `koha-tmpl/intranet-tmpl/prog/en/includes/about-team.inc`.
Comment 2 Eden 2021-01-20 22:40:34 UTC
Created attachment 115473 [details] [review]
Bug 27495: Added Accessibility advocate role in team page

Test Plan
1. Click on 'About Koha' from the home page
2.Check on the  Koha Team page that the role Accessibility advocate is
listed under the Koha release teams and that the name of the person with
the role  appears.
Comment 3 Martin Renvoize 2021-01-21 10:08:18 UTC
Created attachment 115517 [details] [review]
Bug 27495: Added Accessibility advocate role in team page

Test Plan
1. Click on 'About Koha' from the home page
2.Check on the  Koha Team page that the role Accessibility advocate is
listed under the Koha release teams and that the name of the person with
the role  appears.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2021-01-21 10:08:37 UTC
Looks great, thanks Eden.

Signing off.
Comment 5 Kyle M Hall 2021-01-21 16:14:27 UTC
Created attachment 115572 [details] [review]
Bug 27495: Added Accessibility advocate role in team page

Test Plan
1. Click on 'About Koha' from the home page
2.Check on the  Koha Team page that the role Accessibility advocate is
listed under the Koha release teams and that the name of the person with
the role  appears.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 6 Jonathan Druart 2021-01-22 13:55:02 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 7 Fridolin Somers 2021-01-29 13:57:03 UTC
Needs to be backported to stable ?
Comment 8 Martin Renvoize 2021-01-29 17:20:21 UTC
Hmm, debatable.. we do show the current team on the about page so perhaps worthwhile.. someone may want to query current accessabilty 🙂
Comment 9 Fridolin Somers 2021-06-23 05:42:05 UTC
Pushed to 20.11.x for 20.11.07
Comment 10 Victor Grousset/tuxayo 2021-06-23 20:33:44 UTC
Backported: Pushed to 20.05.x branch for 20.05.13
Comment 11 wainuiwitikapark 2021-06-24 02:37:02 UTC
Should this be backported to 19.11.x?

If so, this would be for 19.11.20 (next release in July) as I believe there is currently a string freeze so this bug should not be backported now?
Comment 12 Victor Grousset/tuxayo 2021-06-24 17:10:14 UTC
Nice catch, thanks. It's indeed string freeze.
Reverted.
Comment 13 Victor Grousset/tuxayo 2021-06-29 16:16:26 UTC
Backported: Pushed to 20.05.x branch for 20.05.14
Comment 14 wainuiwitikapark 2021-06-30 05:47:32 UTC
Should this be backported to 19.11.x?
Comment 15 Victor Grousset/tuxayo 2021-06-30 09:11:03 UTC
It was backported to avoid a conflict when backporting bug 28442. Fridolin found that out.
Even if the conflict shouldn't be hard to solve, it felt easier to backport this without giving much though about it. Since it doesn't seem a risky change. And it's nice to have the accessibility advocate role listed.

So it can be either be backported or not to 19.11.x , both would work ^^
Comment 16 wainuiwitikapark 2021-07-01 02:34:15 UTC
Backported to 19.11.x for 19.11.20